QGIS Application - Bug report #17229

Processing history doesn't handle postgres source tables correctly

2017-10-02 02:44 PM - Harrissou Santanna

Status: Closed

Priority: Normal
Assignee: Victor Olaya
Category: Processing/Core

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 25128

Description

Follow-up #17162

After | ran a "Select by location" algorithm in Processing, | copied the command from the History dialog and ran it again, with the following

message error

>>> processing.run("native:selectbylocation”, {'INPUT"'dbname="ref' host=localhost port=5432 user='delaz]' ssimode=disable

key='ogc_fid' table='cadastre'.'geo_parcelle' (geom)

sqgl=",'PREDICATE"[0],'INTERSECT".QgsProcessingFeatureSourceDefinition('perimetre_operationnel20160505180346904",

True), METHOD':0})

Traceback (most recent call last):

File "C:\OSGEO4~1\apps\Python36\lib\code.py", line 64, in runsource

code = self.compile(source, filename, symbol)

File "C:\OSGEO4~1\apps\Python36\lib\codeop.py", line 168, in __call___
return _maybe_compile(self.compiler, source, filename, symbol)
File "C:\OSGEO4~1\apps\Python36\lib\codeop.py", line 99, in _maybe_compile

raise err1

File "C:\OSGEO4~1\apps\Python36\lib\codeop.py", line 87, in _maybe_compile

code1 = compiler(source + "\n", filename, symbol)

File "C:\OSGEO4~1\apps\Python36\lib\codeop.py", line 133, in __call__

codeob = compile(source, filename, symbol, self.flags, 1)

File "<input>", line 1

processing.run("native:selectbylocation”, {'INPUT":'"dbname="ref' host=localhost port=5432 user='delazj' ssimode=disable

key='ogc_fid' table='cadastre'.'geo_parcelle' (geom)

sqgl=",'PREDICATE"[0],'INTERSECT".QgsProcessingFeatureSourceDefinition('perimetre_operationnel20160505180346904",

True), METHOD':0})

SyntaxError: invalid syntax

Associated revisions

Revision b27382d0 - 2017-10-03 11:01 AM - Nyall Dawson

[processing] Fix history doesn't correctly escape values

Fixes #17229
History

#1 - 2017-10-03 11:01 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|b27382d01 10b98782f4152fcd35c8eaf343e80e8.
